Bug 205292 - dns/nsd: Update to 4.1.7
Summary: dns/nsd: Update to 4.1.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Martin Wilke
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-12-13 15:50 UTC by Jaap Akkerhuis
Modified: 2015-12-16 13:57 UTC (History)
3 users (show)

See Also:
miwi: maintainer-feedback? (jaap)


Attachments
Patch to update (755 bytes, patch)
2015-12-13 15:50 UTC, Jaap Akkerhuis
jaap: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaap Akkerhuis 2015-12-13 15:50:38 UTC
Created attachment 164193 [details]
Patch to update

This version fixes TCP on Linux when reuseport is in use. The
reuseport option is off by default now (gave too many issues), but on
Linux if you enable it, UDP performance should increase a lot.

Furthermore, bugfixes for OpenSSL library compatibility and error
responses fixed for future compatibility.

4.1.7 ================
FEATURES:
- support configure --with-dbfile="" for nodb mode by default, where
there is no binary database, but nsd reads and writes zonefiles.
- reuseport: no is the default, because the feature is not troublefree.
- configure --enable-ratelimit-default-is-off with --enable-ratelimit
to set the default ratelimit to disabled but available in nsd.conf.
- version: "string" option to set chaos version query reply string.

BUG FIXES:
- Fix zones updates from nsd parent event loop when there are a lot
of interfaces.
- portability fixes.
- patch from Doug Hogan for SSL_OP_NO_SSLvx options, for the new
defaults in the ssl libraries.
- - updated contrib/nsd.spec, from Bálint Szigeti, with new configure
options.
- Allocate less memory for TSIG digest.
- Fix #721: Fix wrong error code (FORMERR) returned for unknown
opcode. NOTIMP expected.
- Fix zonec ttl mismatch printout to include more information.
- Fix TCP responses when REUSEPORT is in use by turning it off.
- Document default in manpage for rrl-slip, ip4 and 6 prefixlength.
- Explain rrl-slip better in documentation.
- Document that ratelimit qps and slip are updated in reconfig.
- Fix up defaults in manpage.
Comment 1 Martin Wilke freebsd_committer 2015-12-14 03:57:29 UTC
Hi,

While we are updating the port can you please convert it fully to the new options,

also it should get post-install-DOCS-on etc.

Thanks in advance.
Comment 2 Jaap Akkerhuis 2015-12-15 09:56:09 UTC
(In reply to Martin Wilke from comment #1)
I don;t get it, what is wrong with the options etc? It was fine a month ago. Can you give a hint?
Comment 3 Martin Wilke freebsd_committer 2015-12-15 12:27:56 UTC
Hi Jaap,

I've updated both ports please have a look at:

https://reviews.freebsd.org/D4578
and
https://reviews.freebsd.org/D4579


Thanks Martin
Comment 4 Jaap Akkerhuis 2015-12-15 15:16:40 UTC
(In reply to Martin Wilke from comment #3)
Great. I looked in the handbook about post-instal-DOC etc and couldn't find it.
Thanks for showing the way.
Comment 5 Martin Wilke freebsd_committer 2015-12-15 16:19:06 UTC
Hi,

Yes I figured that also today. I will try to talk to the right peoples to get it documented soon as possible. I consider your feedback as maintainer approval and will commit it right away.

- Martin
Comment 6 commit-hook freebsd_committer 2015-12-16 13:57:58 UTC
A commit references this bug:

Author: miwi
Date: Wed Dec 16 05:09:16 UTC 2015
New revision: 403836
URL: https://svnweb.freebsd.org/changeset/ports/403836

Log:
  - Update to 4.1.7
  - Switch to options helper

  PR:		205292
  Submitted by:	maintainer
  Approved by:	mat (mentor)
  Differential Revision:	D4579

Changes:
  head/dns/nsd/Makefile
  head/dns/nsd/distinfo